# Copyright: (c) 2020-2022, VTK Gent vzw
# GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)

query weeklyStatistics($number: Int!, $faculty: String!) {
  weeklyStatistics(number: $number, faculty: $faculty) {
    ...statisticsWeek
  }

  monthlyStatistics(number: $number, faculty: $faculty) {
    ...statisticsWeek
  }

  totalStatistics(faculty: $faculty) {
    ...statisticsTotal
  }
}

query comparisonStatistics($year: Int!) {
  comparisonStatistics(year: $year) {
    ...statisticsComparison
  }
}